# Class SelectModifierPhase

#### Hierarchy (view full)

- BattlePhase
  - SelectModifierPhase

- Defined in src/phases.ts:4947

#####
Index

### Constructors

constructor

### Properties

modifierTiers
rerollCount
scene

### Methods

addModifier
end
getModifierTypeOptions
getPoolType
getRerollCost
hideEnemyTrainer
isPlayer
showEnemyTrainer
start
updateSeed

## Constructors

### constructor

- new SelectModifierPhase(scene, rerollCount?, modifierTiers?): SelectModifierPhase

- #### Parameters

  - scene: default
  - rerollCount: number = 0
  - `Optional` modifierTiers: ModifierTier []

  #### Returns SelectModifierPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:4951

## Properties

### `Private` modifierTiers

modifierTiers: ModifierTier []

- Defined in src/phases.ts:4949

### `Private` rerollCount

rerollCount: number

- Defined in src/phases.ts:4948

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### addModifier

- addModifier(modifier): Promise<boolean>

- #### Parameters

  - modifier: Modifier

  #### Returns Promise<boolean>

  - Defined in src/phases.ts:5155

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### getModifierTypeOptions

- getModifierTypeOptions(modifierCount): ModifierTypeOption []

- #### Parameters

  - modifierCount: number

  #### Returns ModifierTypeOption []

  - Defined in src/phases.ts:5151

### getPoolType

- getPoolType(): ModifierPoolType

- #### Returns ModifierPoolType

  - Defined in src/phases.ts:5147

### getRerollCost

- getRerollCost(typeOptions, lockRarities): number

- #### Parameters

  - typeOptions: ModifierTypeOption []
  - lockRarities: boolean

  #### Returns number

  - Defined in src/phases.ts:5134

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### isPlayer

- isPlayer(): boolean

- #### Returns boolean

  - Defined in src/phases.ts:5130

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:4958

### updateSeed

- updateSeed(): void

- #### Returns void

  - Defined in src/phases.ts:5126